<span  nz-typography [nzType]="done ? 'success' : 'danger'" class="done-container color-transition">
  <span *ngIf="text">
    {{done ? 'Done' : 'To do'}}
  </span >
  <i nz-icon [nzType]="done ? 'check-circle' : 'clock-circle'" nzTheme="fill"></i>
</span>